summaryrefslogtreecommitdiffstats
path: root/multimedia/jlscp
diff options
context:
space:
mode:
author klaatu <klaatu@member.fsf.org>2012-12-11 18:30:02 +0100
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:23:09 -0500
commit0a1d7dfbb95ddb69b43833817b90425b0fda3247 (patch)
treebe15e2ee6054bc5dfe2fc34639725befd041dba7 /multimedia/jlscp
parent730a4b495bacc870f6d6c467de202fe5accb0ff4 (diff)
downloadslackbuilds-0a1d7dfbb95ddb69b43833817b90425b0fda3247.tar.gz
slackbuilds-0a1d7dfbb95ddb69b43833817b90425b0fda3247.tar.xz
multimedia/jlscp: Added (Java Linux Sampler Control Protocol).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia/jlscp')
-rw-r--r--multimedia/jlscp/README10
-rw-r--r--multimedia/jlscp/jlscp.SlackBuild50
-rw-r--r--multimedia/jlscp/jlscp.info10
-rw-r--r--multimedia/jlscp/slack-desc19
4 files changed, 89 insertions, 0 deletions
diff --git a/multimedia/jlscp/README b/multimedia/jlscp/README
new file mode 100644
index 0000000000..6a80be4413
--- /dev/null
+++ b/multimedia/jlscp/README
@@ -0,0 +1,10 @@
+jlscp - A java LinuxSampler control protocol API
+
+This library provides client API for retrieving information and
+configuring running LinuxSampler instance according to the LinuxSampler
+control protocol version 1.4
+
+For more information about LinuxSampler visit http://www.linuxsampler.org
+
+Homepage: http://sourceforge.net/projects/jlscp/
+See also: http://www.linuxsampler.org/downloads.html
diff --git a/multimedia/jlscp/jlscp.SlackBuild b/multimedia/jlscp/jlscp.SlackBuild
new file mode 100644
index 0000000000..85eaf64f70
--- /dev/null
+++ b/multimedia/jlscp/jlscp.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Slackware build script for jlscp
+
+# Written by klaatu@member.fsf.org
+
+PRGNAM=jlscp
+VERSION=${VERSION:-0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# here is the install, such as it is
+mkdir -p $PKG/$JAVA_HOME/jre/lib/ext
+
+cp lib/$PRGNAM.jar $PKG/$JAVA_HOME/jre/lib/ext/
+
+# docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar \
+ doc AUTHORS COPYING ChangeLog \
+ README examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/jlscp/jlscp.info b/multimedia/jlscp/jlscp.info
new file mode 100644
index 0000000000..eee96cc282
--- /dev/null
+++ b/multimedia/jlscp/jlscp.info
@@ -0,0 +1,10 @@
+PRGNAM="jlscp"
+VERSION="0.8"
+HOMEPAGE="http://sourceforge.net/projects/jlscp/"
+DOWNLOAD="http://downloads.sourceforge.net/jlscp/jlscp-0.8.tar.bz2"
+MD5SUM="9a3a507b3e5359369c2be777e71b8232"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk linuxsampler"
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/multimedia/jlscp/slack-desc b/multimedia/jlscp/slack-desc
new file mode 100644
index 0000000000..7b3a4e9ba5
--- /dev/null
+++ b/multimedia/jlscp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jlscp: jlscp (Java Linux Sampler Control Protocol)
+jlscp:
+jlscp: This library provides client API for retrieving information and
+jlscp: configuring a running LinuxSampler instance. Particularly useful for
+jlscp: the jSampler frontend to Linux Sampler.
+jlscp:
+jlscp: For more information about LinuxSampler visit linuxsampler.org
+jlscp: Homepage: http://sourceforge.net/projects/jlscp/
+jlscp:
+jlscp:
+jlscp: \ No newline at end of file